## Troubleshooting (Loader)

### Use

If errors occur while using the Loader Java classes, the system triggers the following exceptions:

Exceptions

Class | When is this exception triggered?
com.sap.dbtech.powertoys.LoaderException | If the Loader registers an error.
com.sap.dbtech.rte.comm.RTEException | If the Java platform cannot set up a connection to the Loader. When an existing connection is interrupted

### Features

Methods of the com.sap.dbtech.powertoys.DBMException Class

Method | Description
public int getErrorCode() | The system issues the Loader error code.
public String getErrorID() | The system issues the Loader error number.
public String toString() | The system issues the exception as a string object.

See also:

Example: Exporting a Table